﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace LanguageConfigurationSolution
{
    public class LanguageLabel: Label
    {
        public string Key { get; set; }

        public string ConfigurationlistName { get; set; }

        protected override void CreateChildControls()
        {
            base.CreateChildControls();
            this.Text = ConfigurationReader.GetConfigurationValue(Key, ConfigurationlistName, "");
        }
    }
}
