﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;
using Microsoft.SharePoint;
using Microsoft.SharePoint.Publishing;

namespace LanguageConfigurationSolution.LanguageSwitch
{
    public class LanguageSwitchContainer : WebControl, INamingContainer
    {
        private LanguageSwitchBase _switch;
        private SPWeb _rootweb;
        private PublishingWeb _publishingweb;

        public LanguageSwitchContainer(LanguageSwitchBase s, SPWeb r, PublishingWeb p)
        {
            _switch = s;
            _rootweb = r;
            _publishingweb = p;
        }

        public override void RenderBeginTag(HtmlTextWriter writer)
        {
        }

        public override void RenderEndTag(HtmlTextWriter writer)
        {
        }

        public LanguageSwitchBase LanguageSwitch
        {
            get { return _switch; }
        }

        public SPWeb RootWeb
        {
            get { return _rootweb; }
        }

        public PublishingWeb PublishingWeb
        {
            get { return _publishingweb; }
        }

        public void JumpLanguage(object sender, EventArgs e)
        {

        }
    }
}
