<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" Inherits="Macaw.Moss2007.XmlSitemapSolution2.ManageXmlSitemap, Macaw.Moss2007.XmlSitemapSolution2, Version=1.0.0.0, Culture=neutral, PublicKeyToken=09a25ba54767f29f" %>
<%@ Register TagPrefix="PublishingWebControls" Assembly="Microsoft.SharePoint.Publishing, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"
    Namespace="Microsoft.SharePoint.Publishing.WebControls" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<asp:Content ID="Main" runat="server" ContentPlaceHolderID="PlaceHolderMain">
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet" width="100%">
        <wssuc:inputformsection runat="server" title="XmlSitemaps generation" description="This setting will enable/disable the generation of XmlSitemaps for this SiteCollection">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Enable XmlSitemaps for this sitecollection"
				LabelAssociatedControlId="cbEnabled" >
			  <Template_Control>
			      <asp:CheckBox ID="cbEnabled" runat="server" Text="Enabled" />				  
			  </Template_Control>
		  </wssuc:InputFormControl>
       </template_inputformcontrols>
        </wssuc:inputformsection>
        
        <wssuc:inputformsection runat="server" title="SiteCollection Url" description="This is the SiteCollection Url to be used in the generated Sitemaps. This Url should correspond to the public Url!">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Absolute URL of the SiteCollection"
				LabelAssociatedControlId="tbSiteUrl" >
			  <Template_Control>
			      <asp:TextBox ID="tbSiteUrl" runat="server" Text="" />				  
			  </Template_Control>
		  </wssuc:InputFormControl>
		  
		  <wssuc:ButtonSection runat="server">
	        <Template_Buttons>
			    <asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="btnSave_Click" Text="Save" id="btnSave" Enabled="true"/>
	        </Template_Buttons>
          </wssuc:ButtonSection>
          
       </template_inputformcontrols>
        </wssuc:inputformsection>
    </table>
</asp:Content>
<asp:Content ID="PageTitle" runat="server" ContentPlaceHolderID="PlaceHolderPageTitle">
    Manage XmlSitemap generation
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" runat="server" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea">
    Manage XmlSitemap generation
</asp:Content>
