<%@ Control Language="C#" Inherits="MultiLevelSelectField.MultiLevelSelectFieldEditor, MultiLevelSelectField, Version=1.0.0.0, Culture=neutral, PublicKeyToken=6c56d086c333e1b3" CompilationMode="Auto" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.Publishing.WebControls" Assembly="Microsoft.SharePoint.Publishing, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Import Namespace="Microsoft.SharePoint" %>
<wssuc:InputFormSection runat="server" id="mlsfSection" Title="MultiLevelSelect properties" Description="These properties are specific for the MultiLevelSelectField">
    <Template_InputFormControls>
        <wssuc:InputFormControl runat="server" LabelText="Choose child list:" ExampleText="Example: /Lists/Street   (Street >lookup> City >lookup> Country)">
            <Template_Control>
                <SharePoint:AssetUrlSelector ID="ausList" runat="server" PickerButtonText="Browse" AllowExternalUrls="false" AssetPickerButtonVisible="true" AssetUrlTextBoxVisible="true" ButtonType="Button" UseImageAssetPicker="false"/>
            </Template_Control>
        </wssuc:InputFormControl>        
    </Template_InputFormControls>
</wssuc:InputFormSection>

