using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Web.UI;
using System.Web.UI.WebControls.WebParts;
using System.ComponentModel;
using Microsoft.SharePoint.Publishing;
using Microsoft.SharePoint.WebPartPages;

namespace SPLimitedWPMCompatibleWebParts.WebPartCode
{
    [Guid("42b03691-de7c-42c8-9a1b-0eb647807887")]
    public class ContentByQueryWebPart : Microsoft.SharePoint.Publishing.WebControls.ContentByQueryWebPart
    {
        [Category("PublishingXslStyleSheets"), Personalizable(PersonalizationScope.Shared), ManagedLink(Fixup = true), WebBrowsable(false), DefaultValue("")]
        public new string HeaderXslLink
        {
            get
            {
                return base.HeaderXslLink;
            }
            set
            {
                try
                {
                    base.HeaderXslLink = value;
                }
                catch (Exception)
                { }
            }
        }

        [ManagedLink(Fixup = true), WebBrowsable(false), DefaultValue(""), Personalizable(PersonalizationScope.Shared), Category("PublishingXslStyleSheets")]
        public new string ItemXslLink
        {
            get
            {
                return base.ItemXslLink;
            }
            set
            {
                try
                {
                    base.ItemXslLink = value;
                }
                catch (Exception)
                { }
            }
        }

        [WebBrowsable(false), ManagedLink(Fixup = true), DefaultValue(""), Category("PublishingXslStyleSheets"), Personalizable(PersonalizationScope.Shared)]
        public new string MainXslLink
        {
            get
            {
                return base.MainXslLink;
            }
            set
            {
                try
                {
                    base.MainXslLink = value;
                }
                catch (Exception)
                { }
            }
        }
    }
}
