﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint.Administration;

namespace Macaw.Wss3.DependencySpiderSolution
{
    public class DependencyMapStorage : SPPersistedObject
    {
        [Persisted]
        public string dependencymap ;

        [Persisted]
        public DateTime IndexingStarted;

        [Persisted]
        public DateTime IndexingCompleted;

        [Persisted]
        public DateTime SpideringStarted;

        [Persisted]
        public DateTime SpideringCompleted;

        /// <summary>
        /// Number of bytes requested for spidering
        /// </summary>
        [Persisted]
        public long SpideredData;

        [Persisted]
        public long IndexedItemCount;

        [Persisted]
        public long SpideredItemCount;

        public DependencyMapStorage()
        {
        }

        public DependencyMapStorage(string name, SPPersistedObject parent, Guid id)
            : base(name, parent, id)
        {
        }

    }
}
