﻿using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.SharePoint.WebPartPages;
using System.Web.UI.WebControls.WebParts;
using System.ComponentModel;

namespace LanguageConfigurationSolution
{
    public class EnhancedContentByQueryWebPart : ContentByQueryWebPart
    {
        [Category("CategoryConfigureQuery"), WebBrowsable(true), DefaultValue(""), Personalizable(PersonalizationScope.Shared)]
        public new string CommonViewFields
        {
            get
            {
                return base.CommonViewFields;
            }
            set
            {
                base.CommonViewFields = value;
            }
        }

        [Category("CbqSpdCategoryOverride"), Personalizable(PersonalizationScope.Shared), DefaultValue(""), WebBrowsable(true)]
        public new string QueryOverride
        {
            get
            {
                return base.QueryOverride;
            }
            set
            {
                base.QueryOverride = value;
            }
        }

        [WebBrowsable(true), Personalizable(PersonalizationScope.Shared), ManagedLink(Fixup = true), DefaultValue(""), Category("PublishingXslStyleSheets")]
        public new string HeaderXslLink
        {
            get
            {
                return base.HeaderXslLink;
            }
            set
            {
                base.HeaderXslLink = value;
            }
        }

        [ManagedLink(Fixup = true), Personalizable(PersonalizationScope.Shared), Category("PublishingXslStyleSheets"), WebBrowsable(true), DefaultValue("")]
        public new string ItemXslLink
        {
            get
            {
                return base.ItemXslLink;
            }
            set
            {
                base.ItemXslLink = value;
            }
        }

        [ManagedLink(Fixup = true), Category("PublishingXslStyleSheets"), Personalizable(PersonalizationScope.Shared), DefaultValue(""), WebBrowsable(true)]
        public new string MainXslLink
        {
            get
            {
                return base.MainXslLink;
            }
            set
            {
                base.MainXslLink = value;
            }
        }
    }
}
