﻿<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" Inherits="Macaw.Moss2007.ContentChangesOverviewSolution.ChangesOverview, Macaw.Moss2007.ContentChangesOverviewSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ad1fbcc584475ad5" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="/_controltemplates/ButtonSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ToolBar" Src="/_controltemplates/ToolBar.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ToolBarButton" Src="/_controltemplates/ToolBarButton.ascx" %>
<%@ Register Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" Namespace="Microsoft.SharePoint.WebControls" TagPrefix="SP" %>
<%@ Register Assembly="Macaw.Moss2007.ContentChangesOverviewSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=ad1fbcc584475ad5" Namespace="Macaw.Moss2007.ContentChangesOverviewSolution" TagPrefix="Solution" %>
<asp:Content ID="PageTitle" runat="server" contentplaceholderid="PlaceHolderPageTitle">
    Changes Overview...
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" runat="server" contentplaceholderid="PlaceHolderPageTitleInTitleArea">
   Changes Overview...
</asp:Content>

<asp:Content ID="Main" runat="server" contentplaceholderid="PlaceHolderMain">
    <wssuc:ToolBar runat="server" id="tbChanges">
        <Template_Buttons>
            <SP:SPToolBarButton ID="btnRefresh" runat="server" Text="Refresh" ImageUrl="/_layouts/Images/refresh.gif" OnClick="btnRefresh_Click" />
            <Solution:ObjectTypesMenuButton runat="server" id="menuObjecTypes" Text="ObjectTypes" ToolTip="Select ObjectTypes"/>
            <Solution:ChangeTypesMenuButton runat="server" id="menuChangeTypes" Text="ChangeTypes" ToolTip="Select ChangeTypes" />
            <Solution:CDPathMenuButton runat="server" id="menuCDPath" Text="Content Deployment Paths" ToolTip="Select Content Deployment Path"  />
            <Solution:StartTimeMenuButton runat="server" id="menuStarttime" Text="Starttime" ToolTip="Select Starttime"  />
            <SP:SPToolBarButton ID="btnTreeview" runat="server" Text="Treeview" ImageUrl="/_layouts/Images/MAG16.GIF" NavigateUrl="/_Layouts/Macaw.Moss2007.ContentChangesOverviewSolution/ChangesOverviewTree.aspx" />
        </Template_Buttons>
    </wssuc:ToolBar>
    <SP:SPGridView runat="server" AutoGenerateColumns="false" ID="gvChanges" OnRowDataBound="gvChanges_RowDataBound">
        <FooterStyle BackColor="Tan" />
        <HeaderStyle CssClass="ms-vh" />
        <RowStyle CssClass="ms-vb" />
        <AlternatingRowStyle CssClass="ms-vb ms-alternating" />
        <EmptyDataTemplate>There are no Changes to display</EmptyDataTemplate>
        <Columns>
            <asp:TemplateField HeaderText="#">
                <ItemTemplate>
                    <asp:Label ID="lblIndex" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="Time">
                <ItemTemplate>
                <asp:Label ID="lblTime" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="ChangeType">
                <ItemTemplate>
                <asp:Label ID="lblChangeType" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="ObjectType">
                <ItemTemplate>
                <asp:Label ID="lblType" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="ObjectUrl">
                <ItemTemplate>
                    <asp:HyperLink ID="hlItem" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
            <asp:TemplateField HeaderText="User">
                <ItemTemplate>
                    <asp:Label ID="lblUser" runat="server" />
                </ItemTemplate>
            </asp:TemplateField>
        </Columns>
    </SP:SPGridView>

    <asp:Label runat="server" ID="lblNoChanges" class="error" />
</asp:Content>


