<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" Inherits="Macaw.Moss2007.CustomErrorPageSolution.ManageCustomErrorPage, Macaw.Moss2007.CustomErrorPageSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=17fcfe66a9961057" %>
<%@ Register TagPrefix="PublishingWebControls" Assembly="Microsoft.SharePoint.Publishing, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" Namespace="Microsoft.SharePoint.Publishing.WebControls" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<asp:Content ID="Main" runat="server" ContentPlaceHolderID="PlaceHolderMain">
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet" width="100%">
        <wssuc:inputformsection runat="server" title="Error Page Option" description="This is the Error Page Option to use.">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Error Page Option"
				LabelAssociatedControlId="rblOptions" >
			  <Template_Control>
			    Select which option to use:
			    <asp:RadioButtonList runat="server" id="rblOptions" autopostback="true" OnSelectedIndexChanged="rblOptions_OnSelectedIndexChanged">
			        <asp:ListItem Value="Inherit">Inherit from Parent Web</asp:ListItem>
			        <asp:ListItem Value="Disabled">Disable for this Web and Child Webs (which inherit settings)</asp:ListItem>
			        <asp:ListItem Value="Enabled">Use custom error page for this Web and Child Webs (which inherit settings)</asp:ListItem>
			    </asp:RadioButtonList>
			    Enter custom error page url:
			    <asp:TextBox ID="tbErrorPageUrl" runat="server" Text="~/_layouts/Macaw.Moss2007.CustomErrorPageSolution/GenericCustomErrorPage.aspx" width="300" />
			  </Template_Control>
		  </wssuc:InputFormControl>
		  
		  <wssuc:ButtonSection runat="server">
	        <Template_Buttons>
			    <asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="btnSave_Click" Text="Save" id="btnSave" Enabled="true"/>
	        </Template_Buttons>
          </wssuc:ButtonSection>
          
       </template_inputformcontrols>
        </wssuc:inputformsection>
    </table>
</asp:Content>
<asp:Content ID="PageTitle" runat="server" ContentPlaceHolderID="PlaceHolderPageTitle">
    Manage Custom Error Page
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" runat="server" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea">
    Manage Custom Error Page
</asp:Content>
