<%@ Control Language="C#" Inherits="CaptchaFieldControlSolution.CaptchaFieldControlEditor, CaptchaFieldControlSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=32a7c4cced0e8bfc" CompilationMode="Auto" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register TagPrefix="SharePoint" Namespace="Microsoft.SharePoint.Publishing.WebControls" Assembly="Microsoft.SharePoint.Publishing, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Import Namespace="Microsoft.SharePoint" %>
<wssuc:InputFormSection runat="server" id="mlsfSection" Title="Captcha properties" Description="These properties are specific for the Captcha Field">
    <Template_InputFormControls>
        <wssuc:InputFormControl runat="server" LabelText="reCaptcha Public Key:" ExampleText="Use this in the JavaScript code that is served to your users">
            <Template_Control>
                <asp:TextBox runat="server" ID="tbRecaptchaPublicKey" />
            </Template_Control>
        </wssuc:InputFormControl>        
        <wssuc:InputFormControl runat="server" LabelText="reCaptcha Private Key:" ExampleText="Use this when communicating between your server and our server">
            <Template_Control>
                <asp:TextBox runat="server" ID="tbRecaptchaPrivateKey" />
            </Template_Control>
        </wssuc:InputFormControl>        
        <wssuc:InputFormControl runat="server" LabelText="reCaptcha Theme:" ExampleText="Choose the Theme to use (red,white,blackglass,clean,custom)">
            <Template_Control>
                <asp:TextBox runat="server" ID="tbRecaptchaTheme" />
            </Template_Control>
        </wssuc:InputFormControl>        
    </Template_InputFormControls>
</wssuc:InputFormSection>

