<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"%> 
<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" Inherits="GoogleAnalyticsSolution.ManageGoogleAnalytics, GoogleAnalyticsSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=bf8e799113895e90" %>

<%@ Import Namespace="Microsoft.SharePoint" %>

<asp:Content ID="Main" runat="server" contentplaceholderid="PlaceHolderMain" >
   
    <asp:Panel runat="server">
        UrlZone:<asp:DropDownList id="ddlZone" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ZoneChanged" /> Url(s):<asp:Label runat="server" ID="lblZoneUrls" /><br />
        <br />
        <asp:Panel runat="server">
            TrackerCode:<br />
            <asp:RadioButton ID="rbInherit" runat="server" Text="Inherit TrackerCode from ParentWeb" GroupName="TrackerCodeSource" />: <asp:Label runat="server" ID="lblParentCode" /><br />
            <asp:RadioButton ID="rbOverride" runat="server" Text="Use TrackerCode:" GroupName="TrackerCodeSource" /><asp:TextBox runat="server" ID="tbWebTrackerCode" /><br />
            <asp:RadioButton ID="rbDisable" runat="server" Text="Disable" GroupName="TrackerCodeSource" /><br />
        </asp:Panel>
        <br />
        <asp:Panel runat="server">
            Track authenticated users:<br />
            <asp:RadioButton ID="rbTAInherit" runat="server" Text="Inherit setting from ParentWeb" GroupName="TrackAuthenticated" />: <asp:Label runat="server" ID="lblParentTA" /><br />
            <asp:RadioButton ID="rbTAEnabled" runat="server" Text="Also track authenticated users" GroupName="TrackAuthenticated" /><br />
            <asp:RadioButton ID="rbTADisabled" runat="server" Text="Only track unauthenticated users" GroupName="TrackAuthenticated" /><br />
        </asp:Panel>
        <br />
        <asp:Panel runat="server">
            Track edit-mode pages:<br />
            <asp:RadioButton ID="rbTEInherit" runat="server" Text="Inherit setting from ParentWeb" GroupName="TrackEdit" />: <asp:Label runat="server" ID="lblParentTE" /><br />
            <asp:RadioButton ID="rbTEEnabled" runat="server" Text="Also track edit-mode pages" GroupName="TrackEdit" /><br />
            <asp:RadioButton ID="rbTEDisabled" runat="server" Text="Only track display-mode pages" GroupName="TrackEdit" /><br />
        </asp:Panel>
        <br />
        <asp:Button runat="server" Text="Save" OnClick="SaveClick" />
        <asp:Label runat="server" id="lblStatus" EnableViewState="false" />
    </asp:Panel>
</asp:Content>

<asp:Content ID="PageTitle" runat="server" contentplaceholderid="PlaceHolderPageTitle" >
   Manage GoogleAnalytics
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" runat="server" contentplaceholderid="PlaceHolderPageTitleInTitleArea" >
   Manage GoogleAnalytics
</asp:Content>