﻿<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>

<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" CodeBehind="DependencySpiderConfiguration.aspx.cs"
    Inherits="Macaw.Wss3.DependencySpiderSolution.DependencySpiderConfiguration, Macaw.Wss3.DependencySpiderSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=bd24d683d13b11c5" %>

<%@ Register TagPrefix="PublishingWebControls" Assembly="Microsoft.SharePoint.Publishing, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"
    Namespace="Microsoft.SharePoint.Publishing.WebControls" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" Src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" Src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" Src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Import Namespace="Microsoft.SharePoint" %>

<asp:Content ID="PlaceHolderMain" runat="server" ContentPlaceHolderID="PlaceHolderMain">
    <link href="/_layouts/Macaw.Wss3.DependencySpiderSolution/Css/DependencySpiderSolution.css"
        rel="Stylesheet" type="text/css" />
        
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet" width="100%">
    
        <wssuc:InputFormSection runat="server" Title="Site Collection Dependency Spider Settings"
            Description="These settings instruct the Dependency Spider for this Site Collection">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Enable this sitecollection for being scanned"
				LabelAssociatedControlId="cbEnabled" >
			  <Template_Control>
			      <asp:CheckBox ID="cbEnabled" runat="server" Text="Enabled" />				  
			  </Template_Control>
		  </wssuc:InputFormControl>
       </template_inputformcontrols>
        </wssuc:InputFormSection>
        
        <wssuc:InputFormSection runat="server" Title="Reporting" Description="These settings configure the reporting of the Dependency Spider for this SiteCollection">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Sitecollection+SubWeb to which brokenlinks will be reported"
				LabelAssociatedControlId="selReportingList" >
			  <Template_Control>
			      <PublishingWebControls:AssetUrlSelector id="selReportingList" runat="server" IsUrlRequired="false" UseImageAssetPicker="false" AllowExternalUrls="true" OverrideDialogTitle="Reporting list" OverrideDialogDescription="Select reporting list" />
			  </Template_Control>
		  </wssuc:InputFormControl>
		  
		  <wssuc:InputFormControl runat="server"
				LabelText="Store dependencymap"
				LabelAssociatedControlId="cbStoreMap" >
			  <Template_Control>
			      <asp:CheckBox ID="cbStoreMap" runat="server" Text="Store dependencymap" />				  
			  </Template_Control>
		  </wssuc:InputFormControl>
            </template_inputformcontrols>
        </wssuc:InputFormSection>
        
        <wssuc:InputFormSection runat="server" Title="Spider Settings" Description="These settings instruct the Dependency Spider for this Site Collection">
            <template_inputformcontrols>
		  <wssuc:InputFormControl runat="server"
				LabelText="Regular expressions against Urls will be matched to be included in indexing. (Empty will include all Urls)"
				LabelAssociatedControlId="tbIncludeCrawlRules" >
			  <Template_Control>
			      <asp:TextBox TextMode="MultiLine" ID="tbIncludeCrawlRules" Columns="60" Rows="5" runat="server" />
			  </Template_Control>
		  </wssuc:InputFormControl>

		  <wssuc:InputFormControl runat="server"
				LabelText="Regular expressions against Urls will be matched to be excluded from indexing. (Empty will not exclude any Url)"
				LabelAssociatedControlId="tbExcludeCrawlRules" >
			  <Template_Control>
			          <asp:TextBox TextMode="MultiLine" id="tbExcludeCrawlRules" Columns="60" Rows="5" runat="server" />
			  </Template_Control>
		  </wssuc:InputFormControl>
		  
		  <wssuc:InputFormControl runat="server"
				LabelText="Add hyperlinks from pages to be indexed. (Check external Urls)"
				LabelAssociatedControlId="cbSpiderEnabled" >
			  <Template_Control>
                    <asp:CheckBox id="cbSpiderEnabled" runat="server" Text="Spider Enabled" />
			  </Template_Control>
		  </wssuc:InputFormControl>
		  
		  <wssuc:ButtonSection runat="server">
	        <Template_Buttons>
			    <asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="btnSave_Click" Text="Save" id="btnSave" Enabled="true"/>            
			    <asp:Label runat="server" id="lblStatus" class="error"/>
	        </Template_Buttons>
          </wssuc:ButtonSection>
          
		    </template_inputformcontrols>
        </wssuc:InputFormSection>
    </table>
</asp:Content>
<asp:Content ID="PageTitle" runat="server" ContentPlaceHolderID="PlaceHolderPageTitle">
    Dependency Spider Configuration
</asp:Content>
<asp:Content ID="PageTitleInTitleArea" runat="server" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea">
    Dependency Spider Configuration
</asp:Content>
