﻿
<%@ Assembly Name="Microsoft.SharePoint, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c"%> 
<%@ Page Language="C#" MasterPageFile="~/_layouts/application.master" CodeBehind="DependencySpiderJobStatus.aspx.cs" Inherits="Macaw.Wss3.DependencySpiderSolution.DependencySpiderJobStatus, Macaw.Wss3.DependencySpiderSolution, Version=1.0.0.0, Culture=neutral, PublicKeyToken=bd24d683d13b11c5" %>

<%@ Import Namespace="Microsoft.SharePoint" %>

<asp:Content ID="PlaceHolderMain" runat="server" contentplaceholderid="PlaceHolderMain" >
    <link href="/_layouts/Macaw.Wss3.DependencySpiderSolution/Css/DependencySpiderSolution.css" rel="Stylesheet" type="text/css" />
    <h1>Job</h1>
    <table>
        <tr>
            <td>DatasetSize</td>
            <td><asp:Label runat="server" ID="lblDatasetSize" /> Kb</td>
        </tr>
    </table>
    
    <h1>Indexer</h1>
    <table>
        <tr>
            <td>Started</td>
            <td><asp:Label runat="server" ID="lblIndexerStarted" /></td>
        </tr>
        <tr>
            <td>Completed</td>
            <td><asp:Label runat="server" ID="lblIndexerCompleted" /></td>
        </tr>
        <tr>
            <td>Items</td>
            <td><asp:Label runat="server" ID="lblIndexerCount" /></td>
        </tr>
    </table>
    
    <h1>Spider</h1>
    <table>
        <tr>
            <td>Started</td>
            <td><asp:Label runat="server" ID="lblSpiderStarted" /></td>
        </tr>
        <tr>
            <td>Completed</td>
            <td><asp:Label runat="server" ID="lblSpiderCompleted" /></td>
        </tr>
        <tr>
            <td>Items</td>
            <td><asp:Label runat="server" ID="lblSpiderCount" /></td>
        </tr>
        <tr>
            <td>Data</td>
            <td><asp:Label runat="server" ID="lblSpiderData" /> Kb</td>
        </tr>
    </table>
    <h1>Unlinked SharePoint objects</h1>
    <asp:Repeater runat="server" ID="rptUnlinkedSPObjects">
        <HeaderTemplate><ul class="Dependencies"></HeaderTemplate>
        <FooterTemplate></ul></FooterTemplate>
        <ItemTemplate>
            <li>
                <asp:HyperLink runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Url")%>' Text='<%# DataBinder.Eval(Container.DataItem, "Url")%>' />
            </li></ItemTemplate>
    </asp:Repeater>
    <h1>Errors</h1>
    <asp:Repeater runat="server" ID="rptErrors">
        <HeaderTemplate><ul class="Dependencies"></HeaderTemplate>
        <FooterTemplate></ul></FooterTemplate>
        <ItemTemplate>
            <li>
                <asp:HyperLink runat="server" NavigateUrl='<%# DataBinder.Eval(Container.DataItem, "Url")%>' Text='<%# DataBinder.Eval(Container.DataItem, "Url") +"("+DataBinder.Eval(Container.DataItem, "ContentType")+")" %>' />
                <asp:HyperLink runat="server" ID="Referer" Text="(Referers)" />
            </li></ItemTemplate>
    </asp:Repeater>
</asp:Content>

<asp:Content ID="PageTitle" runat="server" contentplaceholderid="PlaceHolderPageTitle" >
   Dependency Spider Job Status
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" runat="server" contentplaceholderid="PlaceHolderPageTitleInTitleArea" >
   Dependency Spider Job Status
</asp:Content>