﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;
using Microsoft.SharePoint;

namespace LanguageConfigurationSolution.LanguageSwitch
{
    public class LanguageSwitchContainer : WebControl, INamingContainer
    {
        private LanguageSwitchBase _switch;
        private SPWeb _rootweb;

        public LanguageSwitchContainer(LanguageSwitchBase s, SPWeb r)
        {
            _switch = s;
            _rootweb = r;
        }

        public LanguageSwitchBase LanguageSwitch
        {
            get { return _switch; }
        }

        public SPWeb RootWeb
        {
            get { return _rootweb; }
        }

        public void JumpLanguage(object sender, EventArgs e)
        {

        }
    }
}
