﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Import Namespace="Microsoft.SharePoint.ApplicationPages" %>
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ManageGoogleAnalyticsSettings.aspx.cs" Inherits="Macaw.Wss4.GoogleAnalyticsSolution.Layouts.Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings" DynamicMasterPageFile="~masterurl/default.master" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormSection" src="~/_controltemplates/InputFormSection.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="InputFormControl" src="~/_controltemplates/InputFormControl.ascx" %>
<%@ Register TagPrefix="wssuc" TagName="ButtonSection" src="~/_controltemplates/ButtonSection.ascx" %>
<%@ Register Tagprefix="wssawc" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 

<asp:Content ID="PageHead" ContentPlaceHolderID="PlaceHolderAdditionalPageHead" runat="server">

</asp:Content>

<asp:Content ID="Main" ContentPlaceHolderID="PlaceHolderMain" runat="server">
    
    <table border="0" cellspacing="0" cellpadding="0" class="ms-propertysheet" width="100%">
    <wssuc:InputFormSection runat="server"
	  Title="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, ZoneSectionTitle %>"
	  Description="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, ZoneSectionDescription %>">
	  <Template_InputFormControls>
		  <wssuc:InputFormControl runat="server"
				LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, ZoneSelectorLabel %>"
				LabelAssociatedControlId="ddlZoneSelector" >
			  <Template_Control>
				  <asp:DropDownList id="ddlZoneSelector" runat="server" AutoPostBack="true" OnSelectedIndexChanged="ZoneChanged"/><br />
                  Url(s):<asp:Label runat="server" ID="lblZoneUrls" />
			  </Template_Control>
		  </wssuc:InputFormControl>
	  </Template_InputFormControls>
    </wssuc:InputFormSection>

    <wssuc:InputFormSection runat="server"
	  Title="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackingCodeSectionTitle %>"
	  Description="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackingCodeSectionDescription %>">
	  <Template_InputFormControls>
            <wssawc:InputFormRadioButton
						runat="server"
						GroupName="TrackerCodeSource"
						id="rbInherit"
						LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackingCodeBehaviourInherit %>">
                <strong><asp:Label runat="server" ID="lblParentCode" /></strong>
            </wssawc:InputFormRadioButton>
          <wssawc:InputFormRadioButton 
                        ID="rbOverride" 
                        runat="server" 
                        LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackingCodeBehaviourOverride %>" 
                        GroupName="TrackerCodeSource"><asp:TextBox runat="server" ID="tbWebTrackerCode" /></wssawc:InputFormRadioButton>
          <wssawc:InputFormRadioButton ID="rbDisable" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackingCodeBehaviourDisable %>" GroupName="TrackerCodeSource" />
	  </Template_InputFormControls>
    </wssuc:InputFormSection>

    <wssuc:InputFormSection runat="server"
	  Title="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackAuthenticatedSectionTitle %>"
	  Description="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackAuthenticatedSectionDescription %>">
	  <Template_InputFormControls>
		    <wssawc:InputFormRadioButton ID="rbTAInherit" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackAuthenticatedBehaviourInherit %>" GroupName="TrackAuthenticated"><strong><asp:Label runat="server" ID="lblParentTA" /></strong></wssawc:InputFormRadioButton>
            <wssawc:InputFormRadioButton ID="rbTAEnabled" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackAuthenticatedBehaviourEnabled %>" GroupName="TrackAuthenticated" />
            <wssawc:InputFormRadioButton ID="rbTADisabled" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackAuthenticatedBehaviourDisabled%>" GroupName="TrackAuthenticated" />
	  </Template_InputFormControls>
    </wssuc:InputFormSection>

    <wssuc:InputFormSection runat="server"
	  Title="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackEditModeSectionTitle %>"
	  Description="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackEditModeSectionDescription %>">
	  <Template_InputFormControls>
            <wssawc:InputFormRadioButton ID="rbTEInherit" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackEditModeBehaviourInherit %>" GroupName="TrackEdit"><strong><asp:Label runat="server" ID="lblParentTE" /></strong></wssawc:InputFormRadioButton>
            <wssawc:InputFormRadioButton ID="rbTEEnabled" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackEditModeBehaviourEnabled %>" GroupName="TrackEdit" />
            <wssawc:InputFormRadioButton ID="rbTEDisabled" runat="server" LabelText="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, TrackEditModeBehaviourDisabled %>" GroupName="TrackEdit" />
	  </Template_InputFormControls>
    </wssuc:InputFormSection>

  <wssuc:ButtonSection runat="server">
	  <Template_Buttons>
            <strong><asp:Label runat="server" id="StatusLabel" EnableViewState="false" /></strong>
			<asp:Button UseSubmitBehavior="false" runat="server" class="ms-ButtonHeightWidth" OnClick="SaveClick" Text="<%$Resources:Macaw.Wss4.GoogleAnalyticsSolution.ManageGoogleAnalyticsSettings, SaveButtonLabel %>" id="SaveButton" Enabled="true"/>            
	  </Template_Buttons>
  </wssuc:ButtonSection>

</table>        

</asp:Content>

<asp:Content ID="PageTitle" ContentPlaceHolderID="PlaceHolderPageTitle" runat="server">
    Manage GoogleAnalytics for: <asp:Literal runat="server" id="ManageObjectLiteral" />
</asp:Content>

<asp:Content ID="PageTitleInTitleArea" ContentPlaceHolderID="PlaceHolderPageTitleInTitleArea" runat="server" >
    Manage GoogleAnalytics for: <asp:Literal runat="server" id="ManageObjectLiteral2" />
</asp:Content>
